# project

abstract fun project(path: String): ProjectDescriptor

Returns the project with the given path.

#### Return

The project with the given path. Never returns null.

#### Parameters

path

The path.

#### Throws

UnknownProjectException

If no project with the given path exists.

abstract fun project(projectDir: File): ProjectDescriptor

Returns the project with the given project directory.

#### Return

The project with the given project directory. Never returns null.

#### Parameters

projectDir

The project directory.

#### Throws

UnknownProjectException

If no project with the given path exists.